Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 3859)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 3879)
@@ -15,5 +15,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatype.cc
  
-$(SOPHYAOBJP)dvlist.o: dvlist.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)dvlist.o: dvlist.cc \
+  $(SOPHYAINCP)machdefs.h \
   dvlist.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h mutyv.h timestamp.h \
@@ -22,18 +23,18 @@
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiondblock.cc
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mutyv.cc
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h thsafeop.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ndatablock.cc
  
@@ -43,32 +44,33 @@
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppersist.cc
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppfbinstream.cc
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h ppftpointerio.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftpointerio.cc
  
 $(SOPHYAOBJP)randfmt.o: randfmt.cc randfmt.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h dsfmtflags.h dSFMT.h randinterf.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h randinterf.h dsfmtflags.h dSFMT.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randfmt.cc
  
 $(SOPHYAOBJP)randinterf.o: randinterf.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  randinterf.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h randinterf.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randinterf.cc
  
-$(SOPHYAOBJP)randr48.o: randr48.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)randr48.o: randr48.cc \
+  $(SOPHYAINCP)machdefs.h \
   thsafeop.h pexceptions.h fiondblock.h ppersist.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h \
@@ -77,23 +79,25 @@
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rawstream.cc
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h timestamp.h randr48.h randinterf.h randfmt.h dsfmtflags.h \
-  dSFMT.h fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h \
-  ppfwrapstlv.h sversion.h
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h timestamp.h randr48.h randinterf.h randfmt.h \
+  fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h ppfwrapstlv.h \
+  sversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sophyainit.cc
  
 $(SOPHYAOBJP)stsrand.o: stsrand.cc stsrand.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  stsrand.cc
  
-$(SOPHYAOBJP)timestamp.o: timestamp.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)timestamp.o: timestamp.cc \
+  $(SOPHYAINCP)machdefs.h \
   timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h
@@ -103,5 +107,6 @@
 	$(CCOMPILE) -o $@  dSFMT.c
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@  gnumd5.c
Index: trunk/SophyaLib/BaseTools/smakefile
===================================================================
--- trunk/SophyaLib/BaseTools/smakefile	(revision 3859)
+++ trunk/SophyaLib/BaseTools/smakefile	(revision 3879)
@@ -15,5 +15,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatype.cc
  
-$(SOPHYAOBJP)dvlist.o: dvlist.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)dvlist.o: dvlist.cc \
+  $(SOPHYAINCP)machdefs.h \
   dvlist.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h mutyv.h timestamp.h \
@@ -22,18 +23,18 @@
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiondblock.cc
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mutyv.cc
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h thsafeop.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ndatablock.cc
  
@@ -43,32 +44,33 @@
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppersist.cc
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppfbinstream.cc
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h ppftpointerio.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftpointerio.cc
  
 $(SOPHYAOBJP)randfmt.o: randfmt.cc randfmt.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h dsfmtflags.h dSFMT.h randinterf.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h randinterf.h dsfmtflags.h dSFMT.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randfmt.cc
  
 $(SOPHYAOBJP)randinterf.o: randinterf.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  randinterf.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h randinterf.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randinterf.cc
  
-$(SOPHYAOBJP)randr48.o: randr48.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)randr48.o: randr48.cc \
+  $(SOPHYAINCP)machdefs.h \
   thsafeop.h pexceptions.h fiondblock.h ppersist.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h \
@@ -77,23 +79,25 @@
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rawstream.cc
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h timestamp.h randr48.h randinterf.h randfmt.h dsfmtflags.h \
-  dSFMT.h fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h \
-  ppfwrapstlv.h sversion.h
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h timestamp.h randr48.h randinterf.h randfmt.h \
+  fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h ppfwrapstlv.h \
+  sversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sophyainit.cc
  
 $(SOPHYAOBJP)stsrand.o: stsrand.cc stsrand.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  stsrand.cc
  
-$(SOPHYAOBJP)timestamp.o: timestamp.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)timestamp.o: timestamp.cc \
+  $(SOPHYAINCP)machdefs.h \
   timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h
@@ -103,5 +107,6 @@
 	$(CCOMPILE) -o $@  dSFMT.c
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@  gnumd5.c
